<?php header("Content-Type: text/html; charset=UTF-8") ?>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
            <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
            <title>Enviando Emails...</title>
            <head></head>
            <body>
                <?php
                require_once 'config.php';
                require_once 'includes/debug.php';
                require_once 'includes/logincheck.php';
                require_once 'includes/functions.php';
                $conn = @mysql_connect($dbhost, $dbuser, $dbpass) or die(mysql_error());
                mysql_select_db($dbname);
                /**
                 * id
                 * uid
                 * email
                 * nome_exibir
                 * senha
                 * serv_mail
                 * data_cad
                 * data_atu
                 * 
                 */
                $sqlMail = mysql_query("SELECT * FROM cmum_mail_settings WHERE uid = '{$_SESSION["adminid"]}'");
                $lineMail = mysql_fetch_assoc($sqlMail);
                $sqlMailModel = mysql_query("SELECT * FROM cmum_mail_models WHERE uid='{$_SESSION["adminid"]}' and tipomodel='2'");
                $lineMailModel = mysql_fetch_assoc($sqlMailModel);
                //mysql_close();
                if (is_array($lineMail)) {
                    $de = $lineMail["email"];
                    $senha = dpt($lineMail["senha"], $s);
                    $de_nome = $lineMail["nome_exibir"];
                    $serv = $lineMail["serv_mail"];
                }
                $_assunto = "Olá,[NMCLIENTE], Seu login está expirando...";
                $_conteudo = "<p>Seu Login,[LGCLIENTE], irá expirar em: [VCCLIENTE]. </p>
<p>
			Evite ficar no escuro entre em contato agora mesmo com [NMVENDEDOR],através do email: [EMVENDEDOR] , para efetuar sua contribuição...</p>";
                if (is_array($lineMailModel) and $lineMailModel["assunto"] != "" and $lineMailModel["corpo"] != "") {
                    $_assunto = html_entity_decode($lineMailModel["assunto"]);
                    $_conteudo = html_entity_decode($lineMailModel["corpo"]);
                }
                $aux = base64_decode($_GET["p"]);
                $idEmailList = str_getcsv($aux, ";");
                if (is_null($de) || $de == "" || is_null($de_nome) || $de_nome == "") {
                    echo "<script type=\"text/javascript\">
        alert(\"Os Emails Não Podem Ser Enviados.Verifique em Opções Suas Configurações Para Envio de Emails..\");
        window.close();
        </script>";
                    exit();
                } else {
                    echo "<ul>";
                    echo "<li>Situação de Envio</li>";
                    //$conn = @mysql_connect($dbhost, $dbuser, $dbpass) or die(mysql_error());
                    //mysql_select_db($dbname);
                    foreach ($idEmailList as $idEmail) {
                        $result = mysql_query("SELECT *,DATE_FORMAT(cmum_udb.expiredate,'%d/%m/%Y %H:%i:%s') as expiredate_br FROM cmum_udb WHERE id ='{$idEmail}'");
                        $lineIdMail = mysql_fetch_assoc($result);
                        //$dados["[EMCLIENTE]"] = $lineIdMail["email"];
                        $dados["[LGCLIENTE]"] = $lineIdMail["name"];
                        $dados["[NMCLIENTE]"] = ucwords($lineIdMail["displayname"]);
                        $dados["[SNCLIENTE]"] = $lineIdMail["password"];
                        $dados["[VCCLIENTE]"] = $lineIdMail["expiredate_br"];
                        $dados["[EMVENDEDOR]"] = $de;
                        $dados["[NMVENDEDOR]"] = $de_nome;
                        $dados["[DDSERVIDOR]"] = "
                        <strong>Url Sky:</strong> mxserv.sytes.net<br/>
                        <strong>Porta Sky:</strong> 32470<br/>
                        <strong>Url Claro:</strong> clarotv.sytes.net<br/>
                        <strong>Porta Claro:</strong> 32460<br/>
                        <strong>Url Vivo:</strong> fonica.sytes.net
                        <strong>Porta Vivo:</strong> 32450
                        ";
                        $assunto = str_replace(array_keys($dados), array_values($dados), $_assunto);
                        $conteudo = str_replace(array_keys($dados), array_values($dados), $_conteudo);
                        $resultado = smtpmailer($lineIdMail["email"], $de, $de_nome, $senha, $assunto, $conteudo, $serv);
                        $sit = " - Falha No Envio..";
                        if ($resultado) {
                            $sit = " - Enviado Com Sucesso...";
                        }
                        echo "<li>{$lineIdMail["email"]}{$sit}</li>";
                        unset($lineIdMail,$dados,$assunto,$conteudo);
                        
                    }
                    echo "</ul>";
                    mysql_close($conn);
                }
                ?>
            </body>
            </html>
